Costinbos77 Posted February 9, 2014 Posted February 9, 2014 (edited) Hello! It can get the apparently intersection points between two objects ? Apparent Intersection Points.dwg vla-intersectWith not work. (setq lisCooIV ([color=blue]vla-intersectWith[/color] myTinV myLinV acExtendNone)) nil I Looking for red dots ! Costin Edited February 9, 2014 by Costinbos77 Quote
ymg3 Posted February 9, 2014 Posted February 9, 2014 Costinbos, There is 3 different mode to the interwith method. acExtendBoth would give you an apparent intersection. Look at the following, modified from a routine by AlanJT: ;;****************************************************************************; ;; Modified from a routine by AlanJT ; ;; Return list of intersection(s) between two objects ; ;; obj1 - first VLA-Object ; ;; obj2 - second VLA-Object ; ;; mode - intersection mode (acExtendNone acExtendThisEntity ; ;; acExtendOtherEntity acExtendBoth) ; ;;****************************************************************************; (defun Intersections (obj1 obj2 mode) (defun tupl3 (l) (if l (cons (list (car l) (cadr l) (caddr l))(tupl3 (cdddr l))))) (tupl3 (vlax-invoke obj1 'intersectwith obj2 mode)) ) Quote
ymg3 Posted February 9, 2014 Posted February 9, 2014 Costimbos, You need to create a temporary polylines out of your 3dfaces, then with elevation 0, and then intersect. Look at the TIN program for which I've sent you a link. We do exactlly that when we label contour either dynamic or fence labelling. ymg Quote
Costinbos77 Posted February 9, 2014 Author Posted February 9, 2014 So I thought and I put 0 for all elevations of '3D PolyFace Mesh', but I wonder, can there be a more direct method. You can post the program here, because I do not have access to it there. I do not have an account ther. Quote
ymg3 Posted February 9, 2014 Posted February 9, 2014 Costinbos, You should get an account there. But here goes. trianginprogress5.LSP Quote
Costinbos77 Posted February 9, 2014 Author Posted February 9, 2014 Congratulations, you did a great job! That I wanted to do. Goes well. Try this set of data and see where it messes up: Puncte 3D.dwg I think it should restrict somehow not form the outer triangles. Quote
ymg3 Posted February 9, 2014 Posted February 9, 2014 Costinbos, It does not mess up, what tou have is a Delaunay Triangulation. Now if you want a Constrained Delaunay Triangulation (CDT), it does not do it currently. Same with Breaklines, working on it albeit slowly. ymg Quote
Costinbos77 Posted February 9, 2014 Author Posted February 9, 2014 Try to add contour lines. With this data it works very well: Arges P-3D v 0.dwg Quote
Costinbos77 Posted February 9, 2014 Author Posted February 9, 2014 Do you have any idea about this? http://www.cadtutor.net/forum/showthread.php?84486-About-PolyFaceMesh-properties-and-methods Quote
ymg3 Posted February 9, 2014 Posted February 9, 2014 Costimbos, There seems to be a problem I will investigate. Here goes with an interval of 0.2 meters. ymg Puncte 3D.dwg Quote
Costinbos77 Posted February 9, 2014 Author Posted February 9, 2014 I just mentioned to you can fix it. Again, you did a great job. Maybe you should separate the level curves of the creating TIN. The TIN to be created and for calculation of volumes and sections (profiles). But about #9? Quote
bullah Posted October 31, 2014 Posted October 31, 2014 im try to use in autocad 2002 Error: no function definition: ACET-UI-PROGRESS why help me pls... Quote
bullah Posted October 31, 2014 Posted October 31, 2014 im try to use in autocad 2002 Error: no function definition: ACET-UI-PROGRESS why help me pls... im try to use lsp trianginprogress5.LSP in autocad 2002 Error: no function definition: ACET-UI-PROGRESS:) Quote
hanhphuc Posted October 31, 2014 Posted October 31, 2014 (edited) im try to use in autocad 2002 Error: no function definition: ACET-UI-PROGRESS why help me pls... Edit: Welcome to forum Maybe 2 possibilities: 1.Sorry you are using LT? 2.normal version Express Tool Not installed in your acad? AutoCad-Express Tool-User Interface-Progress bar AFAIK this ACET-UI-PROGRESS is just progress bar shows at the bottom left Edited October 31, 2014 by hanhphuc Welcome, LT Quote
Costinbos77 Posted November 8, 2014 Author Posted November 8, 2014 (edited) Removes all commands with ACET-UI -... ; (acet-ui-Progress -1) or try to control it : (setq AUload (if (member "acetutil.arx" (arx)) T nil) ) . . . (if AUload (acet-ui-Progress " Convert " i) ) ;_ end of if but it will slow down the program execution. Edited November 8, 2014 by Costinbos77 Quote
bullah Posted December 2, 2014 Posted December 2, 2014 many thanks Costinbos77 Command: tin Select objects: Specify opposite corner: 30 found Select objects: TIN - Elapsed time: 0.1720 secs, 47 3DFACES Command: cont Select 3DFACES Select objects: Specify opposite corner: 47 found Select objects: Error: bad argument type: numberp: nil why i cannot make contour?? sorry bad english Quote
bullah Posted December 2, 2014 Posted December 2, 2014 yess it's finally done.. i like u all.. many many thanks Quote
Costinbos77 Posted December 2, 2014 Author Posted December 2, 2014 (edited) Many thanks for ymg3 that He has made available his work. For contours sometimes give error. You must choose a different spacing. Ask ymg3 for the latest version. Edited December 3, 2014 by Costinbos77 Quote
Hippe013 Posted December 2, 2014 Posted December 2, 2014 I understand that upgrading to different or new software is not always a viable option. Though in reading this thread I can't help but recommend upgrading to Civil 3D. All of the TIN, contours & volumes can be more easily completed using Civil 3D. Just a suggestion is all. You'd be happy that you did. regards, Hippe013 Quote
BIGAL Posted December 3, 2014 Posted December 3, 2014 A solution to intersecting 3d faces is that intersectwith needs to temporary turn the face into 3 lines then it will work out xyz, a bit of a sort by distance and you have your list. Using the "F" for fence option you can make a list of 3d faces to be intersected. This will work in real old versions but 2d only using "Inters" not sure when VL was added. This is the basics of Civil software to calculate intersects of a TIN. If you use CIV3d it is a lot harder as you need to interrogate the "Surface" which is multiple triangular faces but as a single entity. Not sure were you find the answer this may be locked away in the Autodesk developers kit for CIV3D which you buy. Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.